QGIS Application - Bug report #3228
List of widgets not working with custom ui forms
2010-11-18 05:28 AM - pinux -

Status: Closed

Priority: Low

Assignee:

Category: Forms

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 13288
Description

| have tried a lot of different widgets with customs ui forms and | have found that:

1. A column that is set as Unique value and i editable is not working with the custom ui form (I have tried with and without setting the
combo box as editable)

2. The Calendar is not working with: Date Edit, Date/Time Edit and Calendar widgets. Not only it is not working, but the widget that is
usually automatically created is present in the custom form. See the attachment.

History

#1 - 2011-12-16 01:55 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:24 AM - Paolo Cavallini
- Target version changed from Version 1.7.4 to Version 1.8.0
- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-05-01 03:06 AM - Nathan Woodrow

- Pull Request or Patch supplied set to No

- Assignee changed from nobody - to Nathan Woodrow

#4 - 2012-05-01 03:06 AM - Nathan Woodrow

Should be pretty easy to add support for the calendar, datetime, time pickers

#5 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-06-28 07:38 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority
#7 - 2014-10-30 12:11 PM - Giovanni Manghi

- Category changed from Digitising to Forms

- Operating System deleted (Windows)

- Status info deleted (0)

#8 - 2015-06-01 06:19 AM - Nathan Woodrow
- Assignee deleted (Nathan Woodrow)

#9 - 2015-06-01 07:34 AM - Matthias Kuhn
- Status changed from Open to Closed

The whole edit widget part has seen a major refactoring since this issue was opened. Due to low activity here | suppose this is solved.

Please re-open if this is still an issue.
